UNGET(P)

NAME
unget - undo a previous get of an SCCS file (DEVELOPMENT)

SYNOPSIS

unget [-ns][-r SID] file...

DESCRIPTION

The unget utility shall reverse the effect of a get -e done prior to creating the intended new delta.

OPTIONS

The unget utility shall conform to the Base Definitions volume of IEEE Std 1003.1-2001, Section 12.2, Utility Syntax Guidelines.

The following options shall be supported:

-r  SID
    Uniquely identify which delta is no longer intended. (This would have been specified by get as the new delta.) The use of this option is necessary only if two or more outstanding get commands for editing on the same SCCS file were done by the same person (login name).

-s  Suppress the writing to standard output of the intended delta's SID.

-n  Retain the file that was obtained by get, which would normally be removed from the current directory.

OPERANDS

The following operands shall be supported:

file
    A pathname of an existing SCCS file or a directory. If file is a directory, the unget utility shall behave as though each file in the directory were specified as a named file, except that non-SCCS files (last component of the pathname does not begin with s.) and unreadable files shall be silently ignored.

If exactly one file operand appears, and it is '-' , the standard input shall be read; each line of the standard input shall be taken to be the name of an SCCS file to be processed. Non-SCCS files and unreadable files shall be silently ignored.

STDIN

The standard input shall be a text file used only when the file operand is specified as '-' . Each line of the text file shall be interpreted as an SCCS pathname.

INPUT FILES

Any SCCS files processed shall be files of an unspecified format.

ENVIRONMENT VARIABLES

The following environment variables shall affect the execution of unget:

LANG
    Provide a default value for the internationalization variables that are unset or null. (See the Base Definitions volume of IEEE Std 1003.1-2001, Section 8.2, Internationalization Variables for the precedence of internationalization variables used to determine the values of locale categories.)

LC_ALL
    If set to a non-empty string value, override the values of all the other internationalization variables.

LC_CTYPE
    Determine the locale for the interpretation of sequences of bytes of text data as characters (for example, single-byte as opposed to multi-byte characters in arguments and input files).

LC_MESSAGES
    Determine the locale that should be used to affect the format and contents of diagnostic messages written to standard error.

NLSPATH
    Determine the location of message catalogs for the processing of LC_MESSAGES .

ASYNCHRONOUS EVENTS

Default.

STDOUT

The standard output shall consist of a line for each file, in the following format:

    "%s\n", <SID removed from file>

If there is more than one named file or if a directory or standard input is named, each pathname shall be written before each of the preceding lines:

    "\n%s:\n", <pathname>

STDERR

The standard error shall be used only for diagnostic messages.

OUTPUT FILES

Any SCCS files updated shall be files of an unspecified format. During processing of a file, a locking z-file, as described in get, and a q-file (a working copy of the p-file), may be created and deleted. The p-file and g-file, as described in get, shall be deleted.

EXTENDED DESCRIPTION

None.

EXIT STATUS

The following exit values shall be returned:

0   Successful completion.

>0  An error occurred.

CONSEQUENCES OF ERRORS

Default.

The following sections are informative.

APPLICATION USAGE

None.

EXAMPLES

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

delta , get , sact

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .